html.np-modal-open {
  overflow: hidden;
}

.np-modal-open .np-modal__inner {
  background: #000;
  position: relative;
  color: #fff;
  padding: 2rem;
  text-align: center;
  box-shadow: inset 0 0 0 6px #000, inset 0 0 0 9px rgb(255, 125, 190);
  border-radius: 12px;
}
.np-modal-open .np-modal__inner h2 {
  text-align: center;
  width: 100%;
  margin-top: 0;
}
.np-modal-open .np-modal__inner button.np-modal__close {
  position: absolute;
  right: 1rem;
  top: 1rem;
}

.modal-segment {
  display: none;
}

.np-modal-open .modal-segment {
  display: block;
}

.np-modal-open dialog.np-modal {
  display: flex;
  position: fixed;
  min-width: 100vw;
  min-height: 100vh;
  background-color: rgba(100, 100, 100, 0.5);
  top: 0;
  left: 0;
  z-index: 100;
  justify-content: center;
  align-items: center;
}
